

*
	// outline: 1px solid rgba(#ddd, .5) !important


*
	-webkit-overflow-scrolling: touch // чтобы нормально сроллился на айфоне
	backface-visibility: hidden // чтобы не дергались элементы

	&, &:before, &:after
		box-sizing: border-box

	&, &:focus, &:active
		outline: none


html
	overflow-x: hidden
	font-weight: normal
	line-height: $lineheight
	font-weight: $fontweight
	min-width: 320px
	font-family: $font
	color: $fontcolor

	// max-width: $maxwidth
	position: relative
	margin: 0 auto

	&.mfp-helper
		&, body
			overflow: hidden


body
	font-size: rem($fontsize)
	+flex(null, null, column)
	overflow-x: hidden

	min-height: 100vh
	min-height: calc(var(--vh, 1vh) * 100)

	line-height: $lineheight
	font-weight: $fontweight
	color: $fontcolor
	font-family: $font

	background: $bg


html.not-touched.not-mac
	*::-webkit-scrollbar
		background: transparent
		position: absolute

	*::-webkit-scrollbar-track
		background: transparent
		position: absolute
		z-index: -2

	// *::-webkit-scrollbar-thumb
		// background: rgba($brown, .5)

#app
	display: flex
	flex-direction: column
	min-height: 100vh
	// min-height: calc(var(--vh, 1vh) * 100)
	position: relative

#content
	flex-grow: 1
	display: flex
	flex-direction: column

	width: 100%

// [class^='col']
// 	position: static

.container-fluid, .container
	body &
		padding-left: 90px
		padding-right: 90px
		width: 100%
		max-width: 1170px + 180px

		@media (max-width: 1200px)
			padding-left: 40px
			padding-right: 40px

		@media (max-width: 768px)
			padding-right: 30px
			padding-left: 30px

		@media (max-width: 400px)
			padding-right: 15px
			padding-left: 15px

.row
	min-width: 100%

[class*='col-auto']
	max-width: 100%

.disable-hover,
.disable-hover *
	pointer-events: none !important
	user-select: none !important

::selection
	background-color: rgba(#007FFF, .7)
	color: #fff
	text-decoration: none

::placeholder
	color: #D2D2D2
	text-overflow: ellipsis

a
	color: #634DF6
	transition: color $transition

	&:hover
		color: darken(#634DF6, 15%)

table
	border-collapse: separate
	border-spacing: 0

img
	height: auto
	// backface-visibility: hidden
	max-width: 100%
	display: block
	object-fit: contain
	user-select: none

	-webkit-touch-callout: none // iphone disable img download

.t-img
	background-size: contain
	background-repeat: no-repeat
	background-position: center
	display: block
	user-select: none
	max-width: 100%

p
	margin-top: 0
	&:last-child
		margin-bottom: 0

figure
	margin: 0

// input:-webkit-autofill
// 	-webkit-text-fill-color: yellow !important

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active
	-webkit-box-shadow: 0 0 0 30px white inset !important

button, input
	outline: none
	&:focus
		outline: none

button
	appearance: none

h1, h2, h3, h4, h5, h6
	line-height: 1.1
	margin-top: 0

label
	margin: 0

b, strong
	font-weight: bold

input,
textarea
	border: #666 1px solid
	outline: none
	max-height: 200px
	-webkit-appearance: none
	-moz-appearance: none
	appearance: none
	border-radius: 0

	// :-webkit-autofill // if autofilled

	// &:focus:required:invalid
	// 	border-color: red

	// &:required:valid
	// 	border-color: green

.spacer
	flex-grow: 1
	flex-shrink: 1

.mouse-down
	transform: translate(0, rem(2px))

.btn
	$this: &
	+btn_reset
	+a_reset

	height: 36px
	min-width: 120px
	border: 1px solid #16110D
	border-radius: 30px
	+inline-flex(center, center)
	text-transform: uppercase
	font-weight: normal
	font-size: 13px
	position: relative

	cursor: pointer

	&:hover
		opacity: .8
		transition: all $transition

	&._login
		#{$this}-icon
			+position(absolute, 50% 13px null null)
			transform: translate(0, -54%)

		#{$this}-text
			margin-left: -13px

	&._accent
		background: linear-gradient(144.41deg, #4D50FC 7.33%, #EB3CD9 93.28%)
		box-shadow: 0px 14px 14px rgba(192, 62, 220, 0.15)
		color: #fff
		border: none

	&._dark
		background: linear-gradient(144.41deg, #2E2D35 7.33%, #222128 93.28%)
		color: #fff

		&:before
			+pseudo
			size: 27px
			border-radius: 50%
			background: #4D50FC
			filter: blur(22px)
			+position(absolute, null null 0 24px)
			transform: translate(0, 50%)

	&._big
		height: 48px
		min-width: 192px

	&._outline-dotted
		border: 1px dashed rgba(103, 76, 246, 0.5)
		color: rgba(103, 76, 246, 1)


	&._outline-accent
		border: none
		display: flex
		#{$this}-content
			background: $bg
			position: relative
			z-index: 2
			+flex(center, center)
			size: calc(100% - 2px)
			border-radius: 30px

		&:before
			+pseudo
			background: linear-gradient(97.35deg, #674CF6 26.24%, #EB3CD9 101.7%)
			+position(absolute, 0)
			border-radius: 30px

	@media (max-width: 768px)
		height: 33px
		min-width: 110px

		&._big
			height: 45px
			min-width: 180px


.title
	+h_reset
	font-size: 52px
	font-weight: semibold
	letter-spacing: -0.02em
	line-height: lh(71, 52)

	& + .description
		margin-top: 20px

	&._normal
		font-weight: normal

	@media (max-height: 700px) or (max-width: 1600px)
		font-size: 48px

	@media (max-height: 600px) or (max-width: 1400px)
		font-size: 42px

	@media (max-width: 992px)
		font-size: 34px

	@media (max-width: 768px)
		font-size: 31px
		line-height: 1.2

	@media (max-width: 576px)
		font-size: 30px

		& + .description
			margin-top: 18px

.title-2
	+h_reset
	font-size: 38px
	font-weight: semibold

	letter-spacing: -0.02em

	& + .btn
		margin-top: 40px

	& + .description
		margin-top: 25px

	@media (max-height: 600px) or (max-width: 1400px)
		font-size: 35px

	@media (max-width: 992px)
		font-size: 30px

	@media (max-width: 768px)
		font-size: 28px

		& + .description
			margin-top: 18px

	@media (max-width: 576px)
		font-size: 26px

		& + .description
			margin-top: 18px

.description
	& + .btn
		margin-top: 55px

	&._light
		font-size: 16px
		color: #82818D
		letter-spacing: -0.02em
		line-height: lh(28, 16)

	&._big
		font-size: 20px
		font-weight: normal

	@media (max-height: 700px) or (max-width: 1600px)
		& + .btn
			margin-top: 40px

	@media (max-height: 600px) or (max-width: 1400px)
		& + .btn
			margin-top: 30px

	@media (max-width: 768px)
		font-size: 15px

		&._big
			font-size: 17px



